v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/inventory/kitDetails
Retrieves kit details by kit number. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.
-
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
Query Parameters
-
kitNumber(required): string
Kit numberExample:
1001
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Kit Info Response
Type:
objectTitle:
Kit Info ResponseResponse containing kit details.
Show Source
-
kitDetails: object
KitDetailsTO v1.0
Title:
KitDetailsTO v1.0Contains kit details.
Nested Schema : KitDetailsTO v1.0
Type:
objectTitle:
KitDetailsTO v1.0Contains kit details.
Show Source
-
blindedLotId: string
Title:
Blinded Lot IDBlinded lot ID.Example:9BD49A59E47E4383B98802712763FD43 -
blindedLotNumber: string
Title:
Blinded Lot NumberBlinded lot number.Example:BLot1101 -
inventoryId: string
(uuid)
Title:
Inventory IDInventory ID. -
inventoryStatus: string
Title:
Inventory StatusName of the inventory status.Example:Dispensed -
inventoryStatusId: number
(BigDecimal)
Title:
Inventory Status IDUnique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
kitNumber: number
(BigDecimal)
Title:
Kit NumberKit number.Example:10 -
labelGroup: string
Title:
Label GroupLabel group.Example:Labelgroup1001 -
labelGroupId: string
Title:
Label Group IDLabel group ID.Example:9BD49A59E47E4383B98802712763FD43 -
locationId: string
Title:
Location IDLocation.Example:1873CDF69E9B48B89B2D9E7951057D09 -
manufacturingLotId: string
Title:
Manufacturing Lot IDManufacturing lot ID.Example:9BD49A59E47E4383B98802712763FD43 -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Mlot1001 -
sequenceNumber: number
(BigDecimal)
Title:
Sequence NumberSequence number.Example:10
Examples
400 Response
Invalid kit number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
404 Response
Invalid study ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResult Object
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.